import React from 'react';
import { render, cleanup } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';

import '~tests/helpers/match-media.mock';
import PageNotFound from '.';

describe('404', () => {
  test('renders without crash', () => {
    const { container } = render(
      <PageNotFound
        pageContext={{
          page: { sections: {}, path: '' },
          marketSections: {},
          siteInfo: {
            site_name: '',
            site_logo: '',
          },
        }}
      />
    );
    expect(container).toBeTruthy();
  });
});
afterEach(() => {
  cleanup();
});
